/* ==========================
   Page Containers & Main Background
   ========================== */
.ast-plain-container,
.ast-page-builder-template {
    background: var(--wp--preset--color--background);
}

.site-main {
    background: var(--wp--preset--color--surface);
}

/* ==========================
   Header Styling
   ========================== */
.ast-primary-header-bar {
   background: var(--wp--preset--color--elevated);
   box-shadow: 0px 6px 5px rgb(0,0,0,0.5);
   padding: 0px max(20px, min(15vw, calc((100vw - 1400px) / 2))) !important;
}

.single-post .ast-primary-header-bar {
    padding: 0px max(16px, min(10vw, calc((100vw - 1200px) / 2))) !important;
}

/* ==========================
   Navigation Menu
   ========================== */
.main-header-menu > .menu-item > .menu-link {
    color: var(--wp--preset--color--elevated-text);
}

.main-header-menu > .menu-item:hover > .menu-link,
.main-header-menu > .menu-item.current-menu-item > .menu-link{
    color: var(--wp--preset--color--action) !important;
}

/* ==========================
   Hamburger Menu Icon
   ========================== */
.ast-mobile-menu-trigger-minimal .ast-menu-svg {
    fill: var(--wp--preset--color--action-text) !important;
}

[data-section="section-header-mobile-trigger"] .ast-button-wrap .mobile-menu-toggle-icon .ast-mobile-svg {
    width: 20px;
    height: 20px;
    fill: var(--wp--preset--color--surface);
}

/* ==========================
   Footer Section
   ========================== */
.site-primary-footer-wrap, .site-primary-footer-wrap[data-section="ast-builder-grid-row-container-inner"]{
    background: var(--wp--preset--color--elevated) !important;
    h2{
        color: var(--wp--preset--color--elevated-header);
    }

    label, p, a{
        color: var(--wp--preset--color--elevated-text);
    }
}

.site-below-footer-wrap[data-section="section-below-footer-builder"] {
    background: var(--wp--preset--color--elevated);
    p{
        color: var(--wp--preset--color--action);
    }
}


.ast-custom-button {
    color: var(--wp--preset--color--action-text) !important;
    background: var(--wp--preset--color--action) !important;
    box-shadow: 0px 6px 5px rgb(0,0,0,0.5);
    border-radius: 5px !important;
}

.ast-custom-button:hover {
    color: var(--wp--preset--color--action-text) !important;
    background: var(--wp--preset--color--action-hover) !important;
}

.site-header-primary-section-right{
    min-width: 300px;
}

/* ==========================
   Footer Dividers (Mobile Only)
   ========================== */
@media (max-width: 768px) {
    .site-footer-section:not(:last-child) {
        border-bottom: 1px solid var(--wp--preset--color--elevated-text);
        padding-bottom: 20px;
        margin-bottom: 20px;
    }
}

@media (max-width: 768px) {
    .site-header-primary-section-right{
        min-width: 0;
    }
}